Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.listeners
Class BehaviorTrackingListener

    java.lang.Object
      |
      +--com.bea.p13n.tracking.listeners.BehaviorTrackingListener

public class BehaviorTrackingListener
extends java.lang.Object
implements EventListener

EventListener to handle all behavior tracking events. Events are persisted to the database. This class should be added to the property eventService.listeners in order to enable behavior tracking.

Constructor Summary
`BehaviorTrackingListener()` Construct an instance of the listener and populate the eventTypes array with the event types that this listener will listen for.

Method Summary
`java.lang.String[]` | `getTypes()`
`void` | `handleEvent(Event theEvent)` Handle the event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BehaviorTrackingListener

    public BehaviorTrackingListener()

  Construct an instance of the listener and populate the eventTypes array with the event types that this listener will listen for.

Method Detail

### getTypes

    public java.lang.String[] getTypes()

  Specified by:
    getTypes in interface EventListener

  Returns:
    the event types that are specified (in application-config.xml) and are to be persisted to the database.

### handleEvent

    public void handleEvent(Event theEvent)

  Handle the event. Ensure that it is an instanceof TrackingEvent and add it to a Buffer which will be swept to the database.
  Specified by:
    handleEvent in interface EventListener

  Parameters:
    `theEvent` - subclass of TrackingEvent to be written to the database

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved